### File

`packages/ecl/components/ecl-featured/ecl-featured.component.ts`

### Description

Custom ECL component, that adds visual support to a piece of content. Uses .

### Extends

`ECLBaseDirective`

### Implements

`OnInit`

### Metadata

selector | `ecl-featured`
templateUrl | `./ecl-featured.component.html`

### Index

###### Properties
role
###### Methods
getCssClasses
###### Inputs
position variant class e2eAttr tabindex
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

position
Type : `"left" | "right"`
Default value : `'left'`
The position of the image in the component. Can be 'left' or 'right'. The default value is 'left'.

variant
Type : `"highlight" | "simple"`
'highligh' varian, applies class to make more stand out appearance of the component.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.role
Type : `string`
Default value : `'article'`

class
Type : `string`
Adds specific classes to the component.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

role
Type : `string`
Default value : `'article'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`
Adds specific classes to the component. Returns : `string`

# results matching ""

# No results matching ""